Summary: The Linux kernel (the core of the Linux operating system).
Name: kernel

### zurukko.
%define _unpackaged_files_terminate_build 0

### Version defines
%global momorel 36
%global rel %{momorel}m

## http://www.kernel.org/
%global srcversion 2.6.10
%global rpmversion 2.6.10
%global kversion   %{rpmversion}

## [acpi] http://www.sourceforge.net/projects/acpi/
## ftp://ftp.kernel.org/pub/linux/kernel/people/lenb/acpi/patches/release/
%global acpibase 26-stable-release
%global acpiver  20040816

## [usagi] ftp://ftp.linux-ipv6.org/pub/usagi/daily-snap/
## ex. /200412/linux26-2.6.10-usagi-20041225.patch.gz
##     (month)         (base)     (month+day)==usagisnapver
%global usagisnapver_month 200412
%global usagisnapver_day   30
%global usagibase          2.6.10
%global usagisnapver       %{usagisnapver_month}%{usagisnapver_day}
%global usagiuri ftp://ftp.linux-ipv6.org/pub/usagi/daily-snap/
%global usagipatchname linux26-%{usagibase}-usagi-%{usagisnapver}.patch.gz
# %%global usagi_ipv6 1 is set below

## http://www.alsa-project.org/
%global ALSAbasever   1.0.8
# Please choose one of the followings for use ALSAver
%global ALSAver   %{ALSAbasever}
%global ALSAsrcname  alsa-driver-%{ALSAver}.tar.bz2

## http://www.xfree86.org/~alanh
%global drmver 4.4.0

## [ieee1394] http://www.linux1394.org/viewcvs/trunk/
%global ieee1394_svn 1240

## Intel centrino wireless driver
## http://ipw2100.sourceforge.net/
%global ipw2100_ver  1.0.2
%global ipw2100_base 2.6.9
## http://ipw2200.sourceforge.net/
%global ipw2200_ver  0.19
%global ipw2200_base 2.6.9

## [cpufreq] http://cvs.arm.linux.org.uk/
## Daily Tar Archives seems to be old... you must get files from CVS HEAD
%global cpufreq_ver 20040509

## http://ppc.linux.or.jp/~ipenguin/unicon/
%global unicon_ver 3.0.3  
  
## [kdb] http://oss.sgi.com/projects/kdb/
%global kdb_ver v4.4
%global kdb_kernel_ver 2.6.10

## [mkinitrd]
%global mkinitrd_ver 3.4.43-10m

## [module-init-tools]
%global module_init_tools_ver 3.0-1m

### Constant defines
%global fileprefix kernel
%global KVERREL %{PACKAGE_VERSION}-%{PACKAGE_RELEASE}

### include local configuration
%{?include_specopt}

### default configurations
#  If you'd like to change these configurations, please copy them to
# ${HOME}/rpm/specopt/kernel.specopt and edit it.


## Configuration
%{?!verbose_make:         %global verbose_make                 1}
%{?!debug_pkg:            %global debug_pkg                    0}
%{?!kdb:                  %global kdb                          0}
%{?!enable64g:            %global enable64g                    0}
#%%{?!usagi_ipv6:           %global usagi_ipv6 1 } why always 0?
%global usagi_ipv6 1

# archs where we build source and docs package
%{?!basearch:             %global basearch i586 i686 alpha ppc x86_64}

## Generic kernel packages
%{?!buildup:              %global buildup   1}
%{?!buildsmp:             %global buildsmp  1}
%ifarch %{ix86}
%{?!buildco:              %global buildco   1}
%{?!buildxen:             %global buildxen  0}
%else
%global buildco   0
%global buildxen  0
%endif
## Additional kernel packages

### arch dependent macros

%ifarch %{ix86}
%global all_arch_configs kernel-%{kversion}-i?86*.config
%global _64bit 0
%endif

%ifarch x86_64
%global all_arch_configs kernel-%{kversion}-x86_64*.config
%global _64bit 1
%endif

%ifarch ppc
%global all_arch_configs kernel-%{kversion}-ppc*.config
%global _64bit 0
%endif

%ifarch %{ix86}
%global arch_dir i386
%endif

%ifarch alpha alphaev5
%global arch_dir alpha
%endif

%ifnarch %{ix86} alpha alphaev5
%global arch_dir %{_arch}
%endif

%ifarch %{basearch}
%global buildsource 1
%else
%global buildsource 0
%endif

### Macro of Packages Lists
%global kernel_prereq_pkgs  sh-utils, fileutils, tar, gzip module-init-tools >= %{module_init_tools_ver} mkinitrd >= %{mkinitrd_ver}
%global kernel_req_pkgs initscripts >= 7.55 dev >= 3.3-6m quota >= 3.09
%global kernel_prov_pkgs  alsa-driver = %{ALSAver} kernel-drm = %{drmver} module-info
%global kernel_obso_pkgs  kernel-modules, kernel-sparc, alsa-driver, isapnptools, isapnptools-devel

### Constant Headers
Group: System Environment/Kernel
License: GPL
BuildPreReq: sed autoconf texinfo sharutils
BuildPreReq: unzip
BuildPreReq: module-init-tools
BuildRequires: momonga-rpmmacros >= 20040310-4m
BuildRequires: rpm >= 4.0.4-53m
ExclusiveArch: %{ix86} alpha alphaev5 ppc x86_64
ExclusiveOS: Linux
Autoreqprov: no
Prereq:    %{kernel_prereq_pkgs}
Requires:  %{kernel_req_pkgs}
Provides:  %{kernel_prov_pkgs}
Obsoletes: %{kernel_obso_pkgs}

### Define-dependent headers
Version: %{rpmversion}
Release: %{rel}
URL: http://www.kernel.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%global buildcc gcc
BuildRequires: gcc
%if %{buildco}
BuildRequires: gcc3.2
%endif

############################################################
############# Source #######################################
############################################################
## >>source <-- use to search in emacs

%global md5src0 cffcd2919d9c8ef793ce1ac07a440eda
%NoSource 0 ftp://ftp.kernel.org/pub/linux/kernel/v2.6/linux-%{srcversion}.tar.bz2 %{md5src0}

Source1: COPYING.modules

Source20: kernel-2.6.10-i586.config
Source21: kernel-2.6.10-i586-smp.config
Source22: kernel-2.6.10-i586-co.config
Source23: kernel-2.6.10-i686.config
Source24: kernel-2.6.10-i686-smp.config
Source25: kernel-2.6.10-i686-co.config
Source26: kernel-2.6.10-ppc.config
Source27: kernel-2.6.10-ppc-smp.config
Source28: kernel-2.6.10-x86_64.config
Source29: kernel-2.6.10-x86_64-smp.config
Source30: kernel-2.6.10-i586-xen0.config
Source31: kernel-2.6.10-i586-xenU.config
Source32: kernel-2.6.10-i686-xen0.config
Source33: kernel-2.6.10-i686-xenU.config

# Momonga logo
Source100: logo_momonga_mono.pbm
Source101: logo_momonga_vga16.ppm
Source102: logo_momonga_gray256.pgm
Source103: logo_momonga_clut224.ppm

# centrino wireless driver
%global md5source135 5ba45b7586ee61e319681d6c5f77616e
%NoSource 135 http://osdn.dl.sourceforge.net/sourceforge/ipw2100/ipw2100-%{ipw2100_ver}.tgz %{md5source135}
%global md5source136 2feae844e72109c1bfb7341d1b025f16
%NoSource 136 http://osdn.dl.sourceforge.net/sourceforge/ipw2200/ipw2200-%{ipw2200_ver}.tgz %{md5source136}

# alsa
%global md5source2000 97d11d734baedd8686d4284eb8273629
%global sha1source2000 cc9e689a10d871cf8d17a0303c800f356766f786
%NoSource 2000 ftp://ftp.alsa-project.org/pub/driver/%{ALSAsrcname} %{md5source2000}

# ieee1394 driver from http://www.linux1394.org/
# http://www.linux1394.org/viewcvs/trunk/
Source2200: ieee1394-%{ieee1394_svn}.tar.bz2

##### driver for TC9020 32bit PCI 10/100/1000Mbps Ethernet MAC Controller
# http://www.tmi.com.tw/pp-TC9020.html
Source500: http://www.tmi.com.tw/Data/driver/TC902X_Linux.zip

## hostap driver
# http://hostap.epitest.fi/
%global HOSTAPver 0.3.0
Source2300: http://hostap.epitest.fi/releases/hostap-driver-%{HOSTAPver}.tar.gz
NoSource: 2300

#SWSUP2
# Web: http://swsusp.sf.net/
# ML: http://lists.berlios.de/pipermail/softwaresuspend-devel/2004-December/
# http://softwaresuspend.berlios.de/wiki/KnownIssues
# http://download.berlios.de/softwaresuspend/software-suspend-2.1.5.10-for-2.6.10.tar.bz2
#                                                             (swsusp2ver) (swsusp2kver)
%global swsusp2ver 2.1.5.10
%global swsusp2kver 2.6.10-rc3
%global swsusp2name software-suspend-%{swsusp2ver}-for-%{swsusp2kver}
Source3090: http://download.berlios.de/softwaresuspend/%{swsusp2name}.tar.bz2
NoSource: 3090
Source3091: 582-refrigerator.momo3
Source3092: 201-ati-agp.momo2
# from swsusp2-2.1.5.10-for-2.6.10/201-ati-agp and fix
Source3093: 209-get-module-list.momo1
# from swsusp2-2.1.5.10-for-2.6.10/209-get-module-list
Source3094: 210-workthreads.momo1
# from swsusp2-2.1.5.10-for-2.6.10/210-workthreads

###################################################################
# Patch Section ###################################################
###################################################################
# >>patches

#
# Patches 0 through 100 are meant for core subsystem upgrades
#

## ipv6 subsystem update
%global md5patch50 639d7eee9312abe8539f7eea4b3fb1fb
%NoPatch 50 %{usagiuri}/%{usagisnapver_month}/%{usagipatchname} %{md5patch50}
Patch51: linux-2.6.0-for-usagi.patch

# kdb
%NoPatch 70 ftp://oss.sgi.com/www/projects/kdb/download/%{kdb_ver}/kdb-%{kdb_ver}-%{kdb_kernel_ver}-common-1.bz2 9030aa26d75bf9f19db90448b6425d7b
%NoPatch 71 ftp://oss.sgi.com/www/projects/kdb/download/%{kdb_ver}/kdb-%{kdb_ver}-%{kdb_kernel_ver}-i386-1.bz2 c505871f2b3f6dea19f4d63a8fc2f956
%NoPatch 72 ftp://oss.sgi.com/www/projects/kdb/download/%{kdb_ver}/kdb-%{kdb_ver}-%{kdb_kernel_ver}-ia64-1.bz2 24e59800d840d2dd7af89aff2599760d

# SWSUSP2
Patch92: linux-2.6.9-swsusp-smp2.patch

# coLinux
Patch93: colinux-0.6.2-2.6.10.patch
Patch94: colinux-0.6.2-2.6.10-momonga.patch

# 450 Xen
#Patch450: linux-2.6.9-xen.patch
Patch450: linux-2.6.10-xen.patch
#Patch452: linux-2.6.9-xen-compile.patch
#Patch452: linux-2.6.10-xen-compile.patch
#Patch453: linux-2.6.9-xen-agpgart.patch
#Patch453: linux-2.6.10-xen-agpgart.patch

#
# Patches 500 through 999 are reserved for bugfixes to the core system
# and patches related to how RPMs are build
#

Patch500: linux-2.6.10-nonintconfig.patch
Patch530: linux-2.6.10-dbus.patch
Patch531: linux-2.6.10-dbus-smp.patch
Patch560: linux-2.6.8.1-crc-ccitt.patch

# Patch570: For compilation of NVIDIA driver (ver 1.0-6111)
#   http://www.uwsg.indiana.edu/hypermail/linux/kernel/0410.2/0753.html
%NoPatch 570 http://ck.kolivas.org/patches/2.6/2.6.9/2.6.9-ck1/patches/nvidia_compat.diff e391697899c02b63bcf8cc550fc6a539

Patch580: 2.6.10-mm1-brk-locked.patch

Patch590: linux-2.6.10-fix-CAN-2005-0384.patch

###

Patch700: http://www.polbox.com/h/hs001/linux-2.6.10-mppe-mppc-1.2.patch.gz
NoPatch: 700

#
# Patches 1000 to 1999 are reserved for bugfixes to drivers and filesystems
#

Patch1000: linux-2.6.0-test11-vidfail.patch

%global  md5patch1001 0abce3b931b2f9a4099b63ca7c01af89
%global sha1patch1001 6cbbd2fc16268c9bb770f8bdf68f352bc9d74d60
%NoPatch 1001 http://ftp.namesys.com/pub/reiser4-for-2.6/2.6.10/reiser4-for-2.6.10-2.gz %{md5patch1001}

# Patch numbers from 2000 to 3000 is for the stuff that has to come 
# last due to the amount of drivers they touch. 
# Only such type of patches should go here.
# Not for the patches you're too lazy to put in the proper place.
#

# Patch2000: ftp://ftp.kernel.org/pub/linux/kernel/people/akpm/patches/2.6/2.6.9-rc1/2.6.9-rc1-mm3/broken-out/scsi-qla2xxx-fix-inline-compile-errors.patch
Patch2001: linux-2.6.9-rc3-megaraid-gcc34.patch

Patch2002: scx200-undefine.patch

Patch2003: ipw2200-0.17-with2100.patch
Patch2004: ipw2100-1.0.2-create_workqueue.patch
Patch2005: ipw2200-0.19-create_workqueue.patch

Patch3000: linux-2.6.9-ppc.patch
Patch3001: linux-2.6.9-ppc-forc.patch
Patch3003: linux-2.6.10-ppc-headerabuse.patch
Patch3004: linux-2.6.10-add-try_acquire_console_sem.patch

# Momonga logo
Patch30000: linux-2.6.0-logo_momonga.patch

#
#  end of patch
#

%package source
Summary: The source code for the Linux kernel.
Group: Development/System
Requires: kernel-headers = %{KVERREL}, glibc-devel, ncurses-devel
%ifarch %{ix86}
Requires: dev86
%endif
Requires: make >= 3.78
Requires: gcc >= 3.2
%if %{buildco}
Requires: gcc3.2
%endif
Requires: binutils

%package headers
Summary: Header files for the Linux kernel.
Group: Development/System
#Requires: kernel = %{KVERREL}

%package doc
Summary: Various documentation bits found in the kernel source.
Group: Documentation

%description
The kernel package contains the Linux kernel (vmlinuz), the core of your
Red Hat Linux operating system.  The kernel handles the basic functions
of the operating system:  memory allocation, process allocation, device
input and output, etc.

%description headers
Kernel-headers includes the C header files for the Linux kernel.  The
header files define structures and constants that are needed for building
most standard programs.  The header files are also needed for rebuilding
the kernel.

%description source
The kernel-source package contains the source code files for the Linux
kernel. The source files can be used to build a custom kernel that is better
tuned to your particular hardware, if you are so inclined (and you know what
you're doing). The customisation guide in the documentation describes in
detail how to do this. This package is not needed nor usable for building
external kernel modules for linking into the default kernel.

%description doc
This package contains documentation files from the kernel
source. Various bits of information about the Linux kernel and the
device drivers shipped with it are documented in these files.

You'll want to install this package if you need a reference to the
options that can be passed to Linux kernel modules at load time.

%package smp
Summary: Kernel version %{kversion} compiled for SMP machines.
Group: System Environment/Kernel
Prereq:    %{kernel_prereq_pkgs}
Requires:  %{kernel_req_pkgs}
Provides:  %{kernel_prov_pkgs}
Obsoletes: %{kernel_obso_pkgs}
Provides: kernel = %{KVERREL}

%description smp
This package includes a SMP version of the Linux %{kversion} kernel. It is
required only on machines with two or more CPUs, although it should work
fine on single-CPU boxes.

%package co
Summary: Kernel version %{kversion} compiled for coLinux.
Group: System Environment/Kernel
Prereq:    %{kernel_prereq_pkgs}
Requires:  %{kernel_req_pkgs}
Provides:  %{kernel_prov_pkgs}
Obsoletes: %{kernel_obso_pkgs}
Provides: kernel = %{KVERREL}

%description co
This package includes a specific kernel for coLinux.

%package xen0
Summary: The Linux kernel compiled for Xen guest0 VM operations

Group: System Environment/Kernel
Provides: kernel = %{version}
Prereq: %{kernel_prereq_pkgs}
Requires: xen
#Conflicts: %{kernel_dot_org_conflicts}
#Conflicts: %{package_conflicts}
#Conflicts: %{nptl_conflicts}
# the xen0 kernel needs a newer mkinitrd than everything else right now
Conflicts: mkinitrd <= 4.2.0 
# We can't let RPM do the dependencies automatic because it'll then pick up
# a correct but undesirable perl dependency from the module headers which
# isn't required for the kernel proper to function
AutoReqProv: no

%description xen0
This package includes a version of the Linux kernel which
runs in Xen's guest0 VM and provides device services to
the unprivileged guests.

Install this package in your Xen guest0 environment.

#%%package xen0-devel
#Summary: Development package for building kernel modules to match the kernel.
#Group: System Environment/Kernel
#AutoReqProv: no
#Provides: kernel-xen0-devel-%{_target_cpu} = %{rpmversion}-%{release}
#
#%%description xen0-devel
#This package provides kernel headers and makefiles sufficient to build modules
#against the kernel package.

%package xenU
Summary: The Linux kernel compiled for unprivileged Xen guest VMs

Group: System Environment/Kernel
Provides: kernel = %{version}
Prereq: %{kernel_prereq_pkgs}
#Conflicts: %{kernel_dot_org_conflicts}
#Conflicts: %{package_conflicts}
#Conflicts: %{nptl_conflicts}
# We can't let RPM do the dependencies automatic because it'll then pick up
# a correct but undesirable perl dependency from the module headers which
# isn't required for the kernel proper to function
AutoReqProv: no

%description xenU
This package includes a version of the Linux kernel which
runs in Xen unprivileged guest VMs.  This should be installed
both inside the unprivileged guest (for the modules) and in
the guest0 domain.

#%%package xenU-devel
#Summary: Development package for building kernel modules to match the kernel.
#Group: System Environment/Kernel
#AutoReqProv: no
#Provides: kernel-XenU-devel-%{_target_cpu} = %{rpmversion}-%{release}
#
#%%description xenU-devel
#This package provides kernel headers and makefiles sufficient to build modules
#against the kernel package.

#############################################################
##### PREP ##################################################
#############################################################
# >>prep

%prep

print_specopt() {
## echo the specopt values
cat <<EOF
Configurations:
  verbose_make .......... %{verbose_make}
  debug_pkg ............. %{debug_pkg}
  kdb ................... %{kdb}
  usagi_ipv6 ............ %{usagi_ipv6}
  basearch .............. %{basearch}
  enable64g ............. %{enable64g}
  
Generic kernel packages:
  buildup ............... %{buildup}
  buildsmp .............. %{buildsmp}
  buildco ............... %{buildco}
  buildxen .............. %{buildxen}
EOF
}

%setup -q -n linux-%{kversion} -c -a2000 -a2300

print_specopt | tee kernel-specopt.log

cd linux-%{kversion}

%patch1001 -p1

# replace ieee1394 driver
rm -rf drivers/ieee1394
tar xzf %SOURCE2200 -C drivers/

# merge hostap driver
  cp -a ../hostap-driver-%{HOSTAPver}/driver/modules/*.[ch] drivers/net/wireless/
  cp -a ../hostap-driver-%{HOSTAPver}/README Documentation/README.hostap
  patch -p1 < ../hostap-driver-%{HOSTAPver}/kernel-patches/hostap-linux-2.6.2.patch

# merge alsa sources
  rm -rf ../alsa-driver-%{ALSAver}/alsa-kernel/scripts

  # merge include/sound
  rm -rf include/sound/*
  cp -a  ../alsa-driver-%{ALSAver}/alsa-kernel/include/* include/sound/
  rm -rf ../alsa-driver-%{ALSAver}/alsa-kernel/include

  # merge sound but sound/oss
  mv -f  sound sound.old
  cp -a  ../alsa-driver-%{ALSAver}/alsa-kernel sound
  rm -rf sound/oss
  cp -a sound.old/oss sound/
  rm -rf sound.old
  rm -rf ../alsa-driver-%{ALSAver}/

# Momonga logo
cp %{SOURCE100} drivers/video/logo
cp %{SOURCE101} drivers/video/logo
cp %{SOURCE102} drivers/video/logo
cp %{SOURCE103} drivers/video/logo

%ifarch %{ix86}
# swsusp2 patch is always applied regardless specopt.
#%%if %{buildup}
# SWSUSP2
tar zxf %{SOURCE3090}
rm -f %{swsusp2name}/*-kdb-*
rm -f %{swsusp2name}/*-Win4Lin3-*
rm -f %{swsusp2name}/950-alsa-fixes-already-in-bk
## rejected 582-refrigerator patch
## remade for ieee1394 rev 1240
cp %{SOURCE3091} %{swsusp2name}/
rm %{swsusp2name}/582-refrigerator
cp %{SOURCE3092} %{swsusp2name}/
rm %{swsusp2name}/201-ati-agp
cp %{SOURCE3093} %{swsusp2name}/
rm %{swsusp2name}/209-get-module-list
cp %{SOURCE3094} %{swsusp2name}/
rm %{swsusp2name}/210-workthreads
#
%{swsusp2name}/apply
rm -rf %{swsusp2name}/
#%%endif ## %%{buildup}
%endif ## for ix86 only

##########
########## Patch application starts
##########

#
# Patches 0 through 100 are meant for core subsystem upgrades
# 

# ipv6 subsystem update
%if %{usagi_ipv6}
%patch50 -p1
cd net/ipv6
%patch51
cd -
%endif

# kdb
%if %{kdb}
%patch70 -p1
%patch71 -p1
%patch72 -p1
%endif

%ifarch %{ix86}
# SWSUSP
# swsusp2 patch is always applied regardless specopt.
#%%if %{buildup}
# nothing to do
#%%else # smp only
#%%patch92 -p1
#%%endif ## %%{buildup}
%endif ## for ix86 only

# fix permission 640 to 644
chmod 644 drivers/scsi/a100u2w.c
  
# TC9020
mkdir TC902X
pushd TC902X
%{__unzip} %{SOURCE500}
%{__cp} README.TXT ../Documentation/networking/tc902x.txt
%{__tar} zxf tc902x.v203.tar.gz
mkdir ../drivers/net/tc902x
%{__cp} *.h *.c ../drivers/net/tc902x/
%{__mv} ../drivers/net/tc902x/tc902x.c ../drivers/net/tc902x/tc902x_core.c
chmod 644 ../drivers/net/tc902x/*
popd


# Intel centrino wireless driver
mkdir Documentation/ipw2100
pushd drivers/net/wireless
tar zxf %{SOURCE135}
mv ipw2100-%{ipw2100_ver} ipw2100
cd ipw2100
# workqueue patch is always applied regardless specopt.
#%%if %{buildup}
%patch2004 -p4
#%%endif ## %%{buildup}
mv `ls |grep -v .c|grep -v .h|grep -v Makefile` ../../../../Documentation/ipw2100/
cd -
popd
patch -p1 -i drivers/net/wireless/ipw2100/patches/ipw2100-%{ipw2100_base}-patch
rm -rf drivers/net/wireless/ipw2100/patches/

mkdir Documentation/ipw2200
pushd drivers/net/wireless
tar zxf %{SOURCE136}
mv ipw2200-%{ipw2200_ver} ipw2200
cd ipw2200
%patch2003 -p1
#%%if %{buildup}
%patch2005 -p4
#%%endif ## %%{buildup}
mv `ls |grep -v .c|grep -v .h|grep -v Makefile` ../../../../Documentation/ipw2200/
cd -
popd
patch -p1 -i drivers/net/wireless/ipw2200/patches/ipw2200-%{ipw2200_base}-patch
rm -rf drivers/net/wireless/ipw2200/patches/

#
# Patches 500 through 1000 are reserved for bugfixes to the core system
# and patches related to how RPMs are build
#

# This patch adds a "make oldconfig_nonint" which is non-interactive and
# also gives a list of missing options at the end. Useful for automated
# builds (as used in the Red Hat buildsystem).
%patch500 -p1

#
# make the kernel spit out DBUS notifications over netlink
#
%ifarch %{ix86}
%patch530 -p1
%else
%patch531 -p1
%endif

#
# source header patch for crc-ccitt.h
#
%patch560 -p1

#
# patch for compilation of NVIDIA driver
#
%patch570 -p1

# security fix patches
#
%patch580 -p1

%patch590 -p1

%patch700 -p1

#
# Patches 1000 to 5000 are reserved for bugfixes to drivers and filesystems
#

# add vidfail capability;
# without this patch specifying a framebuffer on the kernel prompt would
# make the boot stop if there's no supported framebuffer device; this is bad
# for the installer cd that wants to automatically fall back to textmode
# in that case
%patch1000 -p1

#
# Patches 5000 to 6000 are reserved for new drivers
#

#
# final stuff
#

#
# misc small stuff to make things compile or otherwise improve performance
#

%patch2001 -p1

#for scx200
# WARNING: /lib/modules/2.6.9-0.3.3m/kernel/drivers/mtd/maps/scx200_docflash.ko
#  needs unknown symbol del_mtd_partitions
# WARNING: /lib/modules/2.6.9-0.3.3m/kernel/drivers/mtd/maps/scx200_docflash.ko
#  needs unknown symbol add_mtd_partitions

%patch2002 -p1

#
# Add MODULE_LICENSE() where it's missing
#

%ifarch ppc
%patch3000 -p1
%patch3001 -p1
%patch3003 -p1
%patch3004 -p1
%endif

# Momonga logo
%patch30000 -p1

# coLinux
# coLinux patch is always applied regardless specopt.
%ifarch %{ix86}
#%%if %{buildco}
%patch93 -p1
rm localversion-cooperative
%patch94 -p1
#%%endif
%endif

#
# Xen
#
%ifarch %{ix86}
%patch450 -p1
#%%patch452 -p1
#%%patch453 -p1
%endif
#
# END OF PATCH APPLICATIONS

cp %{SOURCE1} Documentation/

sed -e "s!gcc!%{buildcc}!" Makefile > Makefile.cc
mv Makefile.cc Makefile

# build config files
mkdir configs
cp %{SOURCE20} %{SOURCE21} %{SOURCE22} %{SOURCE23} %{SOURCE24} \
   %{SOURCE25} %{SOURCE26} %{SOURCE27} %{SOURCE28} %{SOURCE29} \
   %{SOURCE30} %{SOURCE31} %{SOURCE32} %{SOURCE33} configs
cp -vf configs/%{all_arch_configs} .

%ifarch i686
%if %{enable64g}
perl -p -i -e 's/CONFIG_HIGHMEM4G=y/# CONFIG_HIGHMEM4G is not set/' kernel-2.6.10-i686-smp.config
perl -p -i -e 's/# CONFIG_HIGHMEM64G is not set/CONFIG_HIGHMEM64G=y/' kernel-2.6.10-i686-smp.config
perl -p -i -e 's/# CONFIG_X86_PAE is not set/CONFIG_X86_PAE=y/' kernel-2.6.10-i686-smp.config
%endif
%endif

for i in *.config; do
  mv $i .config
  Arch=`head -1 .config | cut -b 3-`
  make ARCH=$Arch nonint_oldconfig > /dev/null
  echo "# $Arch" > configs/$i
  cat .config >> configs/$i 
done

find . -name "*.orig" -o -name "*~" -exec rm -fv {} \;
find . -name CVS | xargs rm -rf

#############################################
######### build #############################
#############################################
### >>build

%build
cd linux-%{kversion}

echo DISTCC_HOSTS=\"$DISTCC_HOSTS\"

BuildKernel () {
    KernelType=$1
    KernelVer=%{KVERREL}$KernelType

    if [ -n "$KernelType" ] ; then
        Config=kernel-%{kversion}-%{_target_cpu}-$1.config
    else
        Config=kernel-%{kversion}-%{_target_cpu}.config
    fi

    echo "BUILDING A KERNEL FOR $KernelType %{_target_cpu}..."

    # make sure EXTRAVERSION says what we want it to say
    perl -p -i -e "s/^EXTRAVERSION.*/EXTRAVERSION = -%{release}$KernelType/" Makefile

    # and now to start the build process

    if [ x$KernelType == x"co" ]; then
    # coLinux kernel requires gcc 3.3 because of the host os issue.
    # The host os daemon check the version of gcc, so we need to use
    # gcc_3_2 in order to pass such version check.
      USE_GCC_3_2="HOSTCC=gcc_3_2 HOSTCXX=g++_3_2 CC=gcc_3_2"
    else
      USE_GCC_3_2=""
    fi

    make mrproper
    cp configs/$Config .config

    Arch=`head -1 .config | cut -b 3-`
    echo USING ARCH=$Arch

    make ARCH=$Arch nonint_oldconfig $USE_GCC_3_2 > /dev/null
    make ARCH=$Arch include/linux/version.h 

    make ARCH=$Arch %{?_smp_mflags} bzImage V=%{verbose_make} $USE_GCC_3_2 \
      || make ARCH=$Arch bzImage V=%{verbose_make} $USE_GCC_3_2
    make ARCH=$Arch %{?_smp_mflags} modules V=%{verbose_make} $USE_GCC_3_2 \
      || make ARCH=$Arch modules V=%{verbose_make} $USE_GCC_3_2 \
      || exit 1
    
    # Start installing the results

%if %{debug_pkg}
    mkdir -p %{buildroot}%{_libdir}/debug/boot
    install -m 644 System.map %{buildroot}%{_libdir}/debug/boot/System.map-$KernelVer
%endif

%if %{_64bit}
    cat System.map  | grep "r __ksymtab" | cut -c30- > exported
%else
    cat System.map  | grep "r __ksymtab" | cut -c22- > exported
%endif
    for i in `cat exported` ; do grep "$i\$" System.map ; done > %{buildroot}/boot/System.map-$KernelVer
    rm -f exported
    install -m 644 .config %{buildroot}/boot/config-$KernelVer
%ifarch ppc
    cp vmlinux %{buildroot}/boot/vmlinuz-$KernelVer
%else
    if [ x$KernelType == x"co" ]; then
            cp vmlinux %{buildroot}/boot/vmlinuz-$KernelVer
    else
            cp arch/*/boot/bzImage %{buildroot}/boot/vmlinuz-$KernelVer
    fi
%endif
    mkdir -p %{buildroot}/lib/modules/$KernelVer

    make ARCH=$Arch INSTALL_MOD_PATH=%{buildroot} modules_install KERNELRELEASE=$KernelVer $USE_GCC_3_2

    # And save the headers/makefiles etc for building modules against
    #
    # This all looks scary, but the end result is supposed to be:
    # * all arch relevant include/ files
    # * all Makefile/Kconfig files
    # * all script/ files 

    rm -f %{buildroot}/lib/modules/$KernelVer/build
    mkdir -p %{buildroot}/lib/modules/$KernelVer/build
    # first copy everything
    cp --parents `find  -type f -name Makefile -o -name "Kconfig*"` %{buildroot}/lib/modules/$KernelVer/build
    # then drop all but the needed Makefiles/Kconfig files
    rm -rf %{buildroot}/lib/modules/$KernelVer/build/Documentation
    rm -rf %{buildroot}/lib/modules/$KernelVer/build/scripts
    rm -rf %{buildroot}/lib/modules/$KernelVer/build/include
    cp arch/%{arch_dir}/kernel/asm-offsets.s %{buildroot}/lib/modules/$KernelVer/build/arch/%{arch_dir}/kernel
    cp .config %{buildroot}/lib/modules/$KernelVer/build
    cp -a scripts %{buildroot}/lib/modules/$KernelVer/build
    rm -f %{buildroot}/lib/modules/$KernelVer/build/scripts/*.o
    rm -f %{buildroot}/lib/modules/$KernelVer/build/scripts/*/*.o
    mkdir -p %{buildroot}/lib/modules/$KernelVer/build/include
    cd include
    cp -a acpi config linux math-emu media net pcmcia rxrpc scsi sound video asm asm-generic asm-%{arch_dir} %{buildroot}/lib/modules/$KernelVer/build/include
    if [ x$KernelType == x"xen0" -o x$KernelType == x"xenU" ]; then
      cp -a asm-xen %{buildroot}/lib/modules/$KernelVer/build/include
    fi
    cd .. 

%if %{debug_pkg}
    #
    # save the vmlinux file for kernel debugging into the kernel-debuginfo rpm
    #
    mkdir -p %{buildroot}%{_libdir}/debug/lib/modules/$KernelVer
    cp vmlinux %{buildroot}%{_libdir}/debug/lib/modules/$KernelVer
    ln -s %{_libdir}/debug/lib/modules/$KernelVer/vmlinux %{buildroot}/boot/vmlinux-$KernelVer
%endif

    # mark modules executable so that strip-to-file can strip them
    find %{buildroot}/lib/modules/$KernelVer -name "*.ko" -type f  | xargs chmod u+x

    # detect missing or incorrect license tags
    for i in `find %{buildroot}/lib/modules/$KernelVer -name "*.ko" ` ; do echo -n "$i " ; /sbin/modinfo.old -l $i ; done | grep -v "\"GPL\"" | grep -v "\"Dual BSD/GPL\"" | grep -v "\"Dual MPL/GPL\"" | grep -v "\"GPL and additional rights\"" | grep -v "\"GPL v2\"" && exit 1
    # remove files that will be auto generated by depmod at rpm -i time
    rm -f %{buildroot}/lib/modules/$KernelVer/modules.*

    if [ x$KernelType == x"xen0" -o x$KernelType == x"xenU" ]; then
      make ARCH=$Arch archclean
    fi
}

MoveHeaders() {
  if [ -z "$1" ] ; then
    KernelType="uni"
  else
    KernelType=$1
  fi

  if [ ! -d %{buildroot}/var/lib/kernel-%{KVERREL} ] ; then
    mkdir -p %{buildroot}/var/lib/kernel-%{KVERREL}
  fi

# cp Makefile Makefile.$KernelType

  pushd include
%ifarch %{ix86}
  for i in linux/autoconf linux/version linux/compile asm-%{arch_dir}/asm_offsets
%else
  for i in linux/autoconf linux/version linux/compile 
%endif

  do
    cp $i.h $i-$KernelType.h
  done
%ifarch %{ix86}
  tar --owner=0 --group=0 -zcf headers-$KernelType.tar.gz \
      linux/autoconf-$KernelType.h linux/version-$KernelType.h \
      linux/compile-$KernelType.h asm-%{arch_dir}/asm_offsets-$KernelType.h
%else
  tar --owner=0 --group=0 -zcf headers-$KernelType.tar.gz \
      linux/autoconf-$KernelType.h linux/version-$KernelType.h \
      linux/compile-$KernelType.h
%endif
  install -m 0644 headers-$KernelType.tar.gz \
      %{buildroot}/var/lib/kernel-%{KVERREL}
%ifarch %{ix86}
  rm -rf headers-$KernelType.tar.gz linux/autoconf-$KernelType.h \
      linux/version-$KernelType.h linux/compile-$KernelType.h \
      asm-%{arch_dir}/asm_offsets-$KernelType.h
%else
  rm -rf headers-$KernelType.tar.gz linux/autoconf-$KernelType.h \
      linux/version-$KernelType.h linux/compile-$KernelType.h
%endif
  rm -rf config
  popd
}

###
# DO it...
###

# prepare directories
rm -rf %{buildroot}
mkdir -p %{buildroot}/boot

%if %{buildup}
BuildKernel
MoveHeaders
%endif

%if %{buildsmp}
BuildKernel smp
MoveHeaders smp
%endif

%if %{buildco}
BuildKernel co
MoveHeaders co
%endif

%if %{buildxen}
BuildKernel xen0
MoveHeaders xen0
BuildKernel xenU
MoveHeaders xenU
%endif

%install

cd linux-%{kversion}

# architectures that don't get kernel-source (i586/i686/athlon) dont need
# much of an install because the build phase already copied the needed files

%if %{buildsource}
mkdir -p %{buildroot}/usr/src/linux-%{KVERREL}

# clean up the source tree so that it is ready for users to build their own
# kernel
make mrproper

# copy the source over
tar cf - . | tar xf - -C %{buildroot}/usr/src/linux-%{KVERREL}

mkdir -p %{buildroot}/usr/include
ln -sf ../src/linux/include/linux       %{buildroot}/usr/include/linux
ln -sf ../src/linux/include/asm         %{buildroot}/usr/include/asm
ln -sf ../src/linux/include/asm-generic %{buildroot}/usr/include/asm-generic
ln -sf ../src/linux/include/sound       %{buildroot}/usr/include/sound
ln -sf asm-%{arch_dir}                %{buildroot}/usr/src/linux-%{KVERREL}/include/asm

# set the EXTRAVERSION to <version>own, so that people who follow a kernel building howto
# don't accidentally overwrite their currently working moduleset and hose
# their system
perl -p -i -e "s/^EXTRAVERSION.*/EXTRAVERSION = -%{release}own/" %{buildroot}/usr/src/linux-%{KVERREL}/Makefile
# copy Linus's module lisence claim
install -m 644 %{SOURCE1} %{buildroot}/usr/src/linux-%{KVERREL}/

find %{buildroot}/usr/src/linux-%{KVERREL} | sed -e 's|%{buildroot}||g' \
   |grep -v /usr/src/linux-%{KVERREL}/include > ../kernel-source.list

%endif

%clean
rm -rf %{buildroot}

%pre
/sbin/modprobe loop 2> /dev/null > /dev/null  || :
exit 0

%pre smp
/sbin/modprobe loop 2> /dev/null > /dev/null  || :
exit 0

%pre co
/sbin/modprobe loop 2> /dev/null > /dev/null  || :
exit 0


%post 
[ -x /sbin/new-kernel-pkg ] && /sbin/new-kernel-pkg --mkinitrd --depmod --install %{KVERREL}
[ -x /usr/sbin/hardlink ] && /usr/sbin/hardlink -c /lib/modules/2.6.* || :

if [ ! -d /usr/src/linux-%{KVERREL}/include ]; then
  rm -f /usr/src/linux-%{KVERREL}/include
  mkdir -p /usr/src/linux-%{KVERREL}/include
fi                         
tar zxf /var/lib/kernel-%{KVERREL}/headers-uni.tar.gz \
    -C /usr/src/linux-%{KVERREL}/include


%post smp
[ -x /sbin/new-kernel-pkg ] && /sbin/new-kernel-pkg --mkinitrd --depmod --install %{KVERREL}smp
[ -x /usr/sbin/hardlink ] && /usr/sbin/hardlink -c /lib/modules/2.6.* || :

if [ ! -d /usr/src/linux-%{KVERREL}/include ]; then
  rm -f /usr/src/linux-%{KVERREL}/include
  mkdir -p /usr/src/linux-%{KVERREL}/include
fi
tar zxf /var/lib/kernel-%{KVERREL}/headers-smp.tar.gz \
    -C /usr/src/linux-%{KVERREL}/include

%post co
[ -x /sbin/new-kernel-pkg ] && /sbin/new-kernel-pkg --mkinitrd --depmod --install %{KVERREL}co
[ -x /usr/sbin/hardlink ] && /usr/sbin/hardlink -c /lib/modules/2.6.* || :

if [ ! -d /usr/src/linux-%{KVERREL}/include ]; then
  rm -f /usr/src/linux-%{KVERREL}/include
  mkdir -p /usr/src/linux-%{KVERREL}/include
fi
tar zxf /var/lib/kernel-%{KVERREL}/headers-co.tar.gz \
    -C /usr/src/linux-%{KVERREL}/include

%post xen0
#[ ! -x /usr/sbin/module_upgrade ] || /usr/sbin/module_upgrade
# FIXME: we should be smarter about handling how much RAM dom0 should get
[ -x /sbin/new-kernel-pkg ] && /sbin/new-kernel-pkg --package kernel-xen0 --mkinitrd --depmod --install --multiboot --mbargs="dom0_mem=130000" %{KVERREL}xen0
# %%post xen0-devel
if [ -x /usr/sbin/hardlink ] ; then
pushd /lib/modules/%{KVERREL}xen0/build > /dev/null ; {
	cd /lib/modules/%{KVERREL}xen0/build
	find . -type f | while read f; do hardlink -c /lib/modules/2.6*/build/$f $f ; done
}
popd > /dev/null
fi

%post xenU
[ ! -x /usr/sbin/module_upgrade ] || /usr/sbin/module_upgrade
#%%post xenU-devel
if [ -x /usr/sbin/hardlink ] ; then
pushd /lib/modules/%{KVERREL}xenU/build > /dev/null ; {
	cd /lib/modules/%{KVERREL}xenU/build
	find . -type f | while read f; do hardlink -c /lib/modules/2.6.*/build/$f $f ; done
}
popd > /dev/null
fi
    
%preun 
/sbin/modprobe loop 2> /dev/null > /dev/null  || :
[ -x /sbin/new-kernel-pkg ] && /sbin/new-kernel-pkg --rminitrd --rmmoddep --remove %{KVERREL}

# clean up files installed by %%post
pushd /usr/src/linux-%{KVERREL}/include > /dev/null 2>&1
rm -f `tar ztf /var/lib/kernel-%{KVERREL}/headers-uni.tar.gz`
popd > /dev/null 2>&1

%preun smp
/sbin/modprobe loop 2> /dev/null > /dev/null  || :
[ -x /sbin/new-kernel-pkg ] && /sbin/new-kernel-pkg --rminitrd --rmmoddep --remove %{KVERREL}smp

# clean up files installed by %%post smp
pushd /usr/src/linux-%{KVERREL}/include > /dev/null 2>&1
rm -f `tar ztf /var/lib/kernel-%{KVERREL}/headers-smp.tar.gz`
popd > /dev/null 2>&1

%preun co
/sbin/modprobe loop 2> /dev/null > /dev/null  || :
[ -x /sbin/new-kernel-pkg ] && /sbin/new-kernel-pkg --rminitrd --rmmoddep --remove %{KVERREL}co

# clean up files installed by %%post smp
pushd /usr/src/linux-%{KVERREL}/include > /dev/null 2>&1
rm -f `tar ztf /var/lib/kernel-%{KVERREL}/headers-co.tar.gz`
popd > /dev/null 2>&1

%preun xen0
/sbin/modprobe loop 2> /dev/null > /dev/null  || :
[ -x /sbin/new-kernel-pkg ] && /sbin/new-kernel-pkg --rminitrd --rmmoddep --remove %{KVERREL}xen0

%preun xenU
/sbin/modprobe loop 2> /dev/null > /dev/null  || :
[ -x /sbin/new-kernel-pkg ] && /sbin/new-kernel-pkg --rmmoddep --remove %{KVERREL}xenU

%postun headers
if [ -d /usr/src/linux-%{KVERREL} ] ; then
  if [ -z "`find /usr/src/linux-%{KVERREL} -type f`" ] ; then
    rm -rf /usr/src/linux-%{KVERREL}
  fi
fi

%postun source
if [ -d /usr/src/linux-%{KVERREL} ] ; then
  if [ -z "`find /usr/src/linux-%{KVERREL} -type f`" ] ; then
    rm -rf /usr/src/linux-%{KVERREL}
  fi
fi

###
### file lists
###

%if %{buildup}
%files 
%defattr(-,root,root)
/boot/vmlinu?-%{KVERREL}
/boot/System.map-%{KVERREL}
/boot/config-%{KVERREL}
%dir /lib/modules/%{KVERREL}
/lib/modules/%{KVERREL}/kernel
/lib/modules/%{KVERREL}/build
/var/lib/kernel-%{KVERREL}/headers-uni.tar.gz
%endif


%if %{buildsmp}
%files smp
%defattr(-,root,root)
/boot/vmlinu?-%{KVERREL}smp
/boot/System.map-%{KVERREL}smp
/boot/config-%{KVERREL}smp
%dir /lib/modules/%{KVERREL}smp
/lib/modules/%{KVERREL}smp/kernel
/lib/modules/%{KVERREL}smp/build
/var/lib/kernel-%{KVERREL}/headers-smp.tar.gz
%endif

%if %{buildco}
%files co
%defattr(-,root,root)
/boot/vmlinu?-%{KVERREL}co
/boot/System.map-%{KVERREL}co
/boot/config-%{KVERREL}co
%dir /lib/modules/%{KVERREL}co
/lib/modules/%{KVERREL}co/kernel
/lib/modules/%{KVERREL}co/build
/var/lib/kernel-%{KVERREL}/headers-co.tar.gz
%endif

%if %{buildxen}
%files xen0
%defattr(-,root,root)
/boot/vmlinu?-%{KVERREL}xen0
/boot/System.map-%{KVERREL}xen0
/boot/config-%{KVERREL}xen0
%dir /lib/modules/%{KVERREL}xen0
/lib/modules/%{KVERREL}xen0/kernel
#%%files xen0-devel
#%%defattr(-,root,root)
%verify(not mtime) /lib/modules/%{KVERREL}xen0/build
/lib/modules/%{KVERREL}xen0/source
#%%verify(not mtime) /usr/src/kernels/%{KVERREL}-xen0-%{_target_cpu}

%files xenU
%defattr(-,root,root)
/boot/vmlinu?-%{KVERREL}xenU
/boot/System.map-%{KVERREL}xenU
/boot/config-%{KVERREL}xenU
%dir /lib/modules/%{KVERREL}xenU
/lib/modules/%{KVERREL}xenU/kernel
#%%files xenU-devel
#%%defattr(-,root,root)
%verify(not mtime) /lib/modules/%{KVERREL}xenU/build
/lib/modules/%{KVERREL}xenU/source
#%%verify(not mtime) /usr/src/kernels/%{KVERREL}-xenU-%{_target_cpu}
%endif #%%{buildxen}

%if %{buildsource}

%files headers
%defattr(-,root,root)
/usr/src/linux-%{KVERREL}/include/acpi
/usr/src/linux-%{KVERREL}/include/asm
%ifarch %{ix86}
/usr/src/linux-%{KVERREL}/include/asm-i386
%endif
%ifarch alpha alphaev5
/usr/src/linux-%{KVERREL}/include/asm-alpha
%endif
%ifarch ppc
/usr/src/linux-%{KVERREL}/include/asm-ppc
/usr/src/linux-%{KVERREL}/include/asm-m68k
%endif
%ifarch x86_64
/usr/src/linux-%{KVERREL}/include/asm-i386
/usr/src/linux-%{KVERREL}/include/asm-x86_64
%endif
/usr/src/linux-%{KVERREL}/include/asm-generic
/usr/src/linux-%{KVERREL}/include/linux/*
/usr/src/linux-%{KVERREL}/include/math-emu
/usr/src/linux-%{KVERREL}/include/media
/usr/src/linux-%{KVERREL}/include/mtd
/usr/src/linux-%{KVERREL}/include/net
/usr/src/linux-%{KVERREL}/include/pcmcia
/usr/src/linux-%{KVERREL}/include/rxrpc
/usr/src/linux-%{KVERREL}/include/scsi
/usr/src/linux-%{KVERREL}/include/sound
/usr/src/linux-%{KVERREL}/include/video
/usr/include/asm
/usr/include/asm-generic
/usr/include/linux
/usr/include/sound


##%files source -f kernel-source.list
%files source
%defattr(-,root,root)
%dir /usr/src/linux-%{KVERREL}
/usr/src/linux-%{KVERREL}/COPYING
/usr/src/linux-%{KVERREL}/CREDITS
/usr/src/linux-%{KVERREL}/Documentation
/usr/src/linux-%{KVERREL}/MAINTAINERS
/usr/src/linux-%{KVERREL}/README
/usr/src/linux-%{KVERREL}/REPORTING-BUGS
/usr/src/linux-%{KVERREL}/TC902X/*
/usr/src/linux-%{KVERREL}/Makefile
%ifarch %{ix86} x86_64
/usr/src/linux-%{KVERREL}/arch/i386
/usr/src/linux-%{KVERREL}/arch/x86_64
%else
%ifnarch alphaev5
/usr/src/linux-%{KVERREL}/arch/%{_target_cpu}
%else
/usr/src/linux-%{KVERREL}/arch/alpha
%endif
%endif
/usr/src/linux-%{KVERREL}/configs/*
/usr/src/linux-%{KVERREL}/crypto
/usr/src/linux-%{KVERREL}/drivers
/usr/src/linux-%{KVERREL}/fs
/usr/src/linux-%{KVERREL}/init
/usr/src/linux-%{KVERREL}/ipc
%if %{kdb}
/usr/src/linux-%{KVERREL}/kdb
%endif
/usr/src/linux-%{KVERREL}/kernel
/usr/src/linux-%{KVERREL}/lib
/usr/src/linux-%{KVERREL}/mm
/usr/src/linux-%{KVERREL}/net
%ifarch ppc
#/usr/src/linux-%{KVERREL}/ppc
%endif
/usr/src/linux-%{KVERREL}/scripts
/usr/src/linux-%{KVERREL}/security
/usr/src/linux-%{KVERREL}/sound
/usr/src/linux-%{KVERREL}/usr

%files doc
%defattr(-,root,root)
%doc linux-%{kversion}/Documentation/*
%doc kernel-specopt.log

%endif # %%{buildsource}

%changelog
* Fri Apr 15 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (2.6.10-36m)
- disable CONFIG_4KSTACKS
- disable buildxen temporarily

* Sun Apr 10 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (2.6.10-35m)
- modify *.config with compatibile feature before 2.6.10-26m

* Thu Apr 07 2005 Toru Hoshina <t@momonga-linux.org>
- (2.6.10-34m)
- revised linux-2.6.10-xen.patch so that reiser4 potrion is built properly.
- CONFIG_AIC7XXX_PROBE_EISA_VL does not necessary.

* Thu Apr 07 2005 Toru Hoshina <t@momonga-linux.org>
- (2.6.10-33m)
- revised spec for x86_64 and ppc.

* Thu Apr 07 2005 Toru Hoshina <t@momonga-linux.org>
- (2.6.10-32m)
- xen.patch was extructed from xen-unstable-src.tgz.

* Mon Apr 04 2005 Toru Hoshina <t@momonga-linux.org>
- (2.6.10-31m)
- patchies including SWSUPS2, workqueue and coLinux are always applied.
- in the case of i686-smp, CONFIG_HIGHMEM64G is sellectable by specopt.

* Sat Apr 02 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.10-30m)
- add xen from kernel-2.6.10-1.1162_FC4/kernel-2.6.spec
- - add Patch450: linux-2.6.10-xen.patch
- - add Patch452: linux-2.6.9-xen-compile.patch
- - add Patch453: linux-2.6.9-xen-agpgart.patch
- - add Source37: kernel-2.6.10-i686-xen0.config
- - add Source38: kernel-2.6.10-i686-xenU.config
- rename config file number 37->30, 38->31
- add %%{SOURCE30} %%{SOURCE31} at 'mkdir configs' part
- update Patch452: linux-2.6.10-xen-compile.patch
- update Patch453: linux-2.6.10-xen-agpgart.patch

* Tue Mar 22 2005 YAMAZAKI Makoto <zaki@zakky.org>
- (2.6.10-29m)
- fixed PPP Server Denial of Service Vulnerability (CAN-2005-0384)

* Mon Mar 14 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (2.6.10-28m)
- modify ppc config

* Mon Mar 14 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.6.10-27m)
- fix ppc build. sorry... orz

* Tue Mar  8 2005 Toru Hoshina <t@momonga-linux.org>
- (2.6.10-26m)
- config files are fixed.

* Sun Mar  6 2005 Toru Hoshina <t@momonga-linux.org>
- (2.6.10-25m)
- use gcc_3_2 for coLinux.

* Sun Mar  6 2005 Toru Hoshina <t@momonga-linux.org>
- (2.6.10-24m)
- modified kernel-*.config. take care.

* Sat Mar  5 2005 Toru Hoshina <t@momonga-linux.org>
- (2.6.10-23m)
- simplified.

* Sat Mar  5 2005 mutecat <mutecat@momonga-linux.org>
- (2.6.10-22m)
- arrange ppc without patch 3005, 3006
- add FB driver
  CONFIG_FB_RADEON_OLD=y
  CONFIG_FB_RADEON=y
  CONFIG_FB_RADEON_I2C=y
  CONFIG_FB_ATY128=y

* Thu Mar  3 2005 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.6.10-21m)
  reiser4: update to 2.6.10-2

* Wed Mar  2 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (2.6.10-20m)
- add CONFIG_TMPFS_XATTR=y CONFIG_TMPFS_SECURITY=y
- for ppc CONFIG_SECURITY_SELINUX_BOOTPARAM_VALUE=1

* Thu Feb 24 2005 Toru Hoshina <t@momonga-linux.org>
- (2.6.10-19m)
- CONFIG_PNPACPI is turned off.
- revised colinux-0.6.2-2.6.10.patch.
- %%{buildco} is always turned off other than %%{ix86}.

* Sat Feb 20 2005 minakami <minakami@momonga-linux.org>
- (2.6.10-18m)
- coLinux 0.6.2 support
- add new Source40: config-i586-co
- add new Source41: config-i686-co
- add new Source42: config-p4-co
- add new Source43: config-cm-co
- add new Source44: config-k7-co
- add new Source45: config-k8-co
- add new Source46: config-co-generic
- add new Patch93: colinux-0.6.2-2.6.10.patch
- add new Patch94: colinux-0.6.2-2.6.10-momonga.patch

* Sat Feb 19 2005 Toru Hoshina <t@momonga-linux.org>
- (2.6.10-17m)
- CONFIG_USB_HID, CONFIG_USB_KBD and CONFIG_USB_MOUSE is turned on.

* Wed Feb 16 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.6.10-16m)
- add MEGARAID driver
  CONFIG_MEGARAID_NEWGEN=y
  CONFIG_MEGARAID_MM=m
  CONFIG_MEGARAID_MAILBOX=m
- add ppc patch from FC-devel.
- ppc-config renew.
  FIXME: ip6t_REJECT.ko ip6_conntrack.ko ip6_conntrack_ftp.ko unresolve symbols.

* Tue Jan 18 2005 Toru Hoshina <t@momonga-linux.org>
- (2.6.10-15m)
- rebuild on x86_64.

* Mon Jan 17 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.10-14m)
- add Patch700: http://www.polbox.com/h/hs001/linux-2.6.10-mppe-mppc-1.2.patch.gz
- set CONFIG_PPP_MPPE_MPPC=m in config-generic

* Fri Jan 14 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.10-13m)
- update to alsa-1.0.8
- add rm -f %%{swsusp2name}/950-alsa-fixes-already-in-bk

* Sat Jan 08 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.10-12m)
- add Patch580: 2.6.10-mm1-brk-locked.patch 
  from http://marc.theaimsgroup.com/?l=linux-kernel&m=110512844202355
  (VTS:00059)

* Fri Jan 07 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.10-11m)
- add new Patch1002: reiser4-export-find_get_pages_tag.patch

* Fri Jan 07 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.10-10m)
- update reiser4 patch
- delete Patch1002: reiser4-dont-use-shrink_dcache_anon.patch
- add 'chmod 644 drivers/scsi/a100u2w.c'
  for cp (prepare for madwifi and etc drivers)

* Thu Dec 30 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.10-9m)
- update usagi patch

* Tue Dec 28 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.10-8m)
- update madwifi driver (import from kernel24.spec)
- add 'CONFIG_ATHEROS=m', 'CONFIG_ATHEROS_HAL=m', 'CONFIG_ATHEROS_RATE=m'
  and 'CONFIG_NET80211=m' into config-generic
- set '# CONFIG_ATHEROS_HAL is not set', '# CONFIG_ATHEROS_RATE is not set' into config-generic
  reason:
  $ /sbin/modinfo.old -l /var/tmp/kernel-2.6.10-root/lib/modules/2.6.10-8m/kernel/drivers/net/wireless/_ath_hal/ath_hal.ko
  -> "Proprietary"
- comment out all making madwifi drivers part:
  because if we include madwifi drivers, kernel packages shall be Nonfree

* Tue Dec 28 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.10-7m)
- fix Source0 URI
- add 'CONFIG_PCCARD=m' and '# CONFIG_PCMCIA_OBSOLETE is not set' 
  into config-generic (thanks to tom san)
- add 'CONFIG_PCCARD=m', '# CONFIG_PCMCIA_OBSOLETE is not set', 
  'CONFIG_CARDBUS=y', 'CONFIG_I82365=m', and 'CONFIG_PCMCIA_PROBE=y'
  into config-ppc and config-ppc-smp
- why config-ppc and config-ppc-smp is same file?

* Tue Dec 28 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.10-6m)
- roll back software-suspend patch to 2.1.5.10-for-2.6.10-rc3
  cause 2.6.10-5m (software-suspend patch to 2.1.5.10-for-2.6.10)
  can not work hibernate my machine in progress 'Thawing other processors',
  but 2.6.10-4m (software-suspend patch to 2.1.5.10-for-2.6.10-rc3) can hibernate
- add Patch3092: 201-ati-agp.momo2
  from 2.1.5.10-for-2.6.10 one and fix below
  http://lists.berlios.de/pipermail/softwaresuspend-devel/2004-December/001382.html
- add Source3093: 209-get-module-list.momo1 from 2.1.5.10-for-2.6.10 one
- add Source3094: 210-workthreads.momo1 from 2.1.5.10-for-2.6.10 one
- ok, I can hibernate by 2.6.10-6m
- set '# CONFIG_LOGO_LINUX_CLUT224 is not set' in config-generic
  for enable Momonga boot logo (thanks to nakai san)

* Mon Dec 27 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.10-5m)
- update software-suspend patch to 2.1.5.10-for-2.6.10
- delete Source3094: 201-ati-agp.momo1 (included to swsusp2)
- delete Patch1200: linux-2.6.10-cx88-video-fake-arg.patch (included to swsusp2)
- rm kdb patches from software-suspend (momomai #100)

* Sun Dec 26 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.10-4m)
- update kdb patch to 2.6.10, but not tested (default disable)
- info: patch92 was used by prepare for dbus patch
- add Patch1002: reiser4-dont-use-shrink_dcache_anon.patch from 2.6.10-rc3-mm1
  for delete WARNING: /lib/modules/2.6.10-3m/kernel/fs/reiser4/reiser4.ko \
  needs unknown symbol shrink_dcache_anon
- update ipw2100 driver to 1.0.2
- update ipw2200 driver to 0.19
- update Patch2004: ipw2100-1.0.2-create_workqueue.patch
- update Patch2005: ipw2200-0.19-create_workqueue.patch
- info:
  %%{buildup} || %%{copper} || %%{pen4} || %%{amdk7} || %%{amdk8}
  was used buildup+buildsmp(default) and buildup only

* Sun Dec 26 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.10-3m)
- Patch2004 and Patch2005 apply ifarch *smp only

* Sun Dec 26 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.10-2m)
- update to software-suspend-2.1.5.10-for-2.6.10-rc3.tar.bz2
  cause 2.6.10-1m do not work swsusp2 my machine,
  stop in progress 'Doing atomic copy...'
- TODO: update Patch92: linux-2.6.9-swsusp-smp2.patch

* Sat Dec 25 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.10-1m)
- update to 2.6.10
  http://www.uwsg.indiana.edu/hypermail/linux/kernel/0412.3/0072.html
- update Source3091: 582-refrigerator.momo2
- update againt Source3091: 582-refrigerator.momo3
- add Source3092: 209-get-module-list.momo01
- update usagi patch and fix by hand
- update Patch500: linux-2.6.10-nonintconfig.patch
- update Patch530: linux-2.6.10-dbus.patch
- delete included Patch540: linux-2.6.6-online-resize.patch
- delete included Patch580: elf-loader-setuid-mo
- delete included Patch581: fix-aout-leak
- delete included Patch582: buffer-overrun-in-arch-x86_64-sys_ia32csys32_ni_syscall-sys32_vm86_warning.patch
- delete included Patch583: 2.6.10-rc3-decnet.patch
- delete included Patch584: gnupatch@41bf39b1RGfvOMInGewwDyzfcuL2OQ
- delete included Patch585: gnupatch@41b768d1ySHbfa7cUWDle8NjDT_02A
- delete included Patch2000:
  2.6.9-rc1/2.6.9-rc1-mm3/broken-out/scsi-qla2xxx-fix-inline-compile-errors.patch
- delete included Patch2010: security-fix-smbfs-2.6.9-ac3.patch
- add '# CONFIG_MODULE_SRCVERSION_ALL is not set' into config-generic
- add '# CONFIG_MEFFICEON is not set' into config-x86-generic
- add Source3093: 100-kdb-v4.4-2.6.9-rc2-common-1.momo1
  for s/TASK_ZOMBIE/EXIT_ZOMBIE/g , s/TASK_DEAD/EXIT_DEAD/g.
- add Source3094: 201-ati-agp.momo1
- add new Patch1200: linux-2.6.10-cx88-video-fake-arg.patch

* Wed Dec 22 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.10-0.3.1m)
- update to 2.6.10-rc3
- update swsusp2 patch
- update usagi patch
- update alsa patch

* Sun Dec 19 2004 mutecat <mutecat@momonga-linux.org>
- (2.6.9-22m)
- kossori

* Sat Dec 17 2004 mutecat <mutecat@momonga-linux.org>
- (2.6.9-21m)
- arrange ppc
- add Patch3000: linux-2.6.9-ppc.patch
- add Patch3001: linux-2.6.9-ppc-forc.patch
- add ppc config files

* Thu Dec 16 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.9-20m)
- add Patch585: gnupatch@41b768d1ySHbfa7cUWDle8NjDT_02A

* Thu Dec 16 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.9-19m)
- add Patch584: gnupatch@41bf39b1RGfvOMInGewwDyzfcuL2OQ

* Tue Dec 14 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.6.9-18m)
  update hostap-driver 0.3.0
  update ieee1394 rev 1240
  update ipw2200 0.17
  update reiser4 3
  update software-suspend 2.1.5.7

* Mon Dec 13 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.9-17m)
- add Patch583: 2.6.10-rc3-decnet.patch

* Mon Dec 13 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.9-16m)
- add Patch582: buffer-overrun-in-arch-x86_64-sys_ia32csys32_ni_syscall-sys32_vm86_warning.patch

* Sun Dec 12 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.9-15m)
- add i686 to basearch

* Sun Dec 12 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.9-14m)
- add Patch581: fix-aout-leak

* Sun Dec 12 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.9-13m)
- add Patch580: elf-loader-setuid-mo

* Sat Dec 11 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.6.9-12m)
- CONFIG_DRM_I915=m in config-generic
- BuildPreReq: module-init-tools

* Tue Nov 30 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.6.9-11m)
  support reiser4: patch 1001
  update ipw2100 1.0.1
  update ipw2200 0.15
  update ieee1394 rev 1234

* Sun Nov 28 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.9-10m)
- add Patch2010: security-fix-smbfs-2.6.9-ac3.patch from 2.6.9-ac3

* Thu Nov  4 2004 Shotaro Kamio <skamio@momonga-linux.org>
- (2.6.9-9m)
- add patch570 for compilation of NVIDIA driver

* Tue Nov 02 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.9-8m)
- delete dup obsoletes
- update usagi patch

* Thu Oct 28 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.9-7m)
- delete i2c

* Wed Oct 27 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.9-6m)
- re-add Patch91: linux-2.6.9-swsusp-smp.patch
  re-add Patch2004: ipw2100-0.56-create_workqueue.patch
  re-add Patch2005: ipw2200-0.12-create_workqueue.patch
  for fix build miss about up+smp (default)

* Sun Oct 24 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.9-5m)
- delete Patch91: linux-2.6.9-swsusp-smp.patch
- add apply swsusp2 patch %%{copper} %%{pen4} %%{amdk7} %%{amdk8}

* Sat Oct 23 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.9-4m)
- cancel Patch2004 and Patch2005

* Sat Oct 23 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.9-3m)
- add Patch92: linux-2.6.9-swsusp-smp2.patch
- use %%if %%{buildup} at patch2004 and patch2005 for %%{buildsmp}

* Sat Oct 23 2004 Kazuhiro Yoshida <moriq@moriq.com>
- (2.6.9-2m)
- update swsusp2 (Source3090)
- update Patch530: linux-2.6.9-dbus.patch
- add Patch91: linux-2.6.9-swsusp-smp.patch
- add Patch2004: ipw2100-0.56-create_workqueue.patch
- add Patch2005: ipw2200-0.12-create_workqueue.patch

* Thu Oct 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.6.9-1m)
- version up to 2.6.9
- update Source135 to ipw2100-0.56.tgz
- update Source136 to ipw2200-0.12.tgz
- update Patch530: linux-2.6.9-dbus.patch

* Fri Oct 15 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.9-0.4.4m)
- move out %%global usagi_ipv6 1 from specopt
  in specopt usagi_ipv6 shall set always 0, why?
- update usagi patch to 2.6.9-rc4-20041013
- add print_specopt() from kernel24.spec

* Fri Oct 15 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.9-0.4.3m)
- change specopt intel CPUs kernel default 0,
  specific intel CPUs kernel will not build, build up and smp kernel only
- change apply swsusp2 patches (Source3090 and Patch90) buildup only
- delete SWSUSP2 setting from config-generic
- add SWSUSP2 setting from config-i586 and config-i686

* Fri Oct 15 2004 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.6.9-0.4.2m)
- update and enable ipw2100 driver.
- add ipw2200 driver.

* Mon Oct 11 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.9-0.4.1m)
- update to 2.6.9-rc4

* Mon Oct 11 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.9-0.3.4m)
- add Patch2000: scsi-qla2xxx-fix-inline-compile-errors.patch
- add Patch2001: linux-2.6.9-rc3-megaraid-gcc34.patch
- add Patch2002: scx200-undefine.patch
- cancel use gcc3.2, now use gcc3.4

* Sun Oct 10 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.9-0.3.3m)
- cancel Patch10000 and Patch10001
- add and comment out 'delete inline sed lines' for qla2xxx and megaraid
- use gcc3.2
- update usagi patch 2.6.9-rc3-20041009
- add Source3090 for swsusp2
- add Patch90 for swsusp2
- update Patch530: linux-2.6.9-rc3-dbus.patch for adapt swsusp2 patch
- update config-*
- update Makefile.configdefs

* Sat Oct 02 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.9-0.3.2m)
- add Patch10000: drivers-scsi-qla2xxx-gcc34.patch
- add Patch10001: drivers-scsi-megaraid-gcc34.patch

* Fri Oct  1 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.6.9-0.3.1m)
  update to 2.6.9-rc3
  removed mm patch, reiser4 unsupported

* Fri Sep 17 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.6.8-15m)
  applied 2.6.8.1-mm4 patch(included reiser4 support).

* Thu Sep 16 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.6.8-14m)
- update spec to assign proper names for smp files [Momonga-devel.ja:02768]

* Sun Sep 12 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.6.8-13m)
- update usagi daily-snap date to 20040824 from 20040817
- add usagi_ipv6 as option for specopt and set 1 as default
- update ALSA driver to  version 1.0.7rc1
- add Patch1140: linux-2.6.8.1-usb2-storage.patch (reported by ryu)
  from http://www.mail-archive.com/linux-usb-devel@lists.sourceforge.net/msg27047.html

* Sun Sep 12 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.6.8-12m)
- add CPU specific kernel building options for Pentium4, Coppermine, AMD K7 and K8 CPUs.

* Sun Sep  5 2004 Shotaro Kamio <skamio@momonga-linux.org>
- (2.6.8-11m)
- add arch/x86_64/ to kernel-source (i586)
- add include/{media,mtd,rxrpc} to kernel-headers

* Fri Sep  3 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.6.8-10m)
- add Patch560: linux-2.6.8.1-crc-ccitt.patch

* Thu Sep  2 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.6.8-9m)
- change in config-generic
  CONFIG_APM=m                       [Momonga-devel.ja:02741] 
  CONFIG_APM_CPU_IDLE is not set     [Momonga-devel.ja:02741]
  CONFIG_APM_RTC_IS_GMT is not set   [Momonga-devel.ja:02741] 
  CONFIG_BLK_DEV_OFFBOARD=y          [Momonga-devel.ja:02741] 
  CONFIG_PPP_BSDCOMP=m

* Wed Sep  1 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.6.8-8m)
- change in config-generic
   CONFIG_USB_KBD=m
   CONFIG_USB_MOUSE=m
   CONFIG_REISERFS_CHECK is not set  [Momonga-devel.ja:02738] 

* Fri Aug 26 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.6.8-7m)
- change in config-generic (the following were not set)
    CONFIG_LEGACY_PTYS=y  [Momonga-users.ja:00139] 
    CONFIG_SCSI_DPT_I2O=m [Momonga-devel.ja:02732]

* Thu Aug 26 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.6.8-6m)
- add Patch1030: linux-2.6.8.1-ext3-reservations.patch
- add Patch1031: linux-2.6.8-ext3-reservations-update.patch
- add Patch1130: linux-2.6.7-i8x0-drm.patch
- remove /usr/src/linux-*/config-*
- disable kdb if specified in specopt

* Wed Aug 25 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.6.8-5m)
- revice config files

* Mon Aug 23 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.6.8-4m)
- merge some contents from kernel-2.6.8-i686.config by Fedora Core 
  to config-generic and config-x86-generic

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.6.8-3m)
- update alsa-driver to 1.0.6a
- added a forgotten link for asm-generic

* Tue Aug 17 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.6.8-2m)
- source version update to 2.6.8.1
- update alsa-driver to 1.0.6
- add Patch550: kernel2.6.8.1-kcalloc.patch

* Mon Aug  9 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.6.7-2m)
- update to alsa-1.0.6rc2
- update to hostap-driver-0.2.4 
- add libata driver
- update ieee1394 to 1233

* Sun Jun 20 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.6.7-1m)
- update to version 2.6.7
- update ieee1394 to 1228
- update to linux26-2.6.7-usagi-20040620
- edit Patch530 linux-2.6.7-dbus.patch from linux-2.6.5-dbus.patch
- remove Patch10000:  linux-2.6.6-compile.patch
- remove Patch10200:  linux-2.6.6-alsa-au88.patch
- clean up files no longer required to build

* Sun Jun 13 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.6.6-6m)
- edit Patch10000 linux-2.6.6-compile.patch from linux-2.6.1rc2-compile.patch
  not to remove EXPORT_SYMBOL(sys_close) from fs/open.c 

* Tue Jun  8 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.6.6-5m)
- update ALSA Driver 1.0.5a
- update hostap driver 0.2.2 
- add Patch10200 linux-2.6.6-alsa-au88.patch

* Mon Jun  7 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.6.6-4m)
- update to linux26-2.6.6-usagi-20040524
- update ieee1394 to 1222
- remove kernel26-CLEAR_BITMAP.patch

* Sun May 30 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.6.6-3m)
- add kernel26-CLEAR_BITMAP.patch

* Wed May 19 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.6.6-2m)
- update kdb files for kernel 2.6.6

* Tue May 18 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.6.6-1m)
- version update to 2.6.6
- removed linux-2.6.5-usagi-fix.patch
- edited linux-2.6.6-online-resize.patch from linux-2.6.0-online-resize.patch

* Mon Apr 26 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (2.6.5-3m)
- changed to use modinfo.old to correct behavior with kernel 2.6.x

* Wed Apr 21 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (2.6.5-2m)
- add symlinks to header files

* Wed Apr 21 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (2.6.5-1m)
- update to 2.6.5

* Sun Apr  4 2004 Toru Hoshina <t@momonga-linux.org>
- (2.6.3-6m)
- kernel-drm shoule be provides so that we keep interoperability with FC.
- CONFIG_DVB_SP887X and CONFIG_SND_USB_AUDIO is not set due to avoid
  undefined symbol warning.

* Wed Mar 24 2004 Toru Hoshina <t@momonga-linux.org>
- (2.6.3-5m)
- revised spec for rpm 4.2
- set _unpackaged_files_terminate_build as 0, avoid remove each messy stuff.

* Thu Mar 23 2004 Toru Hoshina <t@momonga-linux.org>
- (2.6.3-4m)
- AKK stands for Anti-Kossori-Kossori.

* Sat Mar  5 2004 Toru Hoshina <t@momonga-linux.org>
- (2.6.3-4m)
- acpi patch is updated kossorily.

* Mon Mar  1 2004 Toru Hoshina <t@momonga-linux.org>
- (2.6.3-3m)
- acpi patch is updated to 20040220.

* Mon Feb 23 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (2.6.3-2m)
- revise config-*
- import KDB patch( to enable kdb, "echo '1' > /proc/sys/kernel/kdb")

* Thu Feb 19 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.6.3-1m)
- import hostap-driver-0.2.0
- update ALSA to 1.0.2c
- revise dbus patch for 2.6.3

* Tue Feb 17 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.6.2-2m)
- update ALSA to 1.0.2a

* Tue Feb 17 2004 Toru Hoshina <t@momonga-linux.org>
- (2.6.1-1m)
- up to 2.6.2.
- usagi patch was changed to 2004-02-10.
- acpi patch also up to 20040116.

* Thu Jan 15 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (2.6.1-1m)
- update to 2.6.1
- update usagi to 2.6.1-20040115

* Wed Jan  7 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (2.6.1-0.rc2.1m)
- update to 2.6.1rc2
  this release includes security fix
- update usagi to 20040106

* Sat Dec 20 2003 Kenta MURATA <muraken2@nifty.com>
- (2.6.0-0.3m)
- replace boot logo to momonga.
- append verbose_make option, default is 0.

* Thu Dec 18 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.0-0.2m)
- update acpipatch to 20031203-2.6.0
- fix cp Source10 to Source1

* Thu Dec 18 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.6.0-0.1m)
- update to 2.6.0

* Tue Dec 16 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.6.0-0.test11.4m)
- update acpi to 20031203
- update cpufreq to 20031215
- kernel26-source: fix wrong dependency on kernel-headers
- fix typo in cpufreq (linux-2.6.0-fix-cpufreq-typo.patch)

* Mon Dec 15 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.6.0-0.test11.3m)
- add usagi patch
- remove bk patch

* Mon Dec 15 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.6.0-0.test11.2m)
- add Linus's bk patch
- restrict version of module-init-tools
- add kernel-headers sub package

* Sun Dec 14 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.6.0-0.test11.1m)
- write spec
   based on momonga's kernel-2.4.23-4m and fedora's kernel-2.6.0-0.test11.1.13


## TODO
# unicon??
# bttv, saa7134
# madwifi
# delete alpha and ppc from basearch
